Package com.smartgwt.client.widgets.form.fields

# Class PickerIcon

java.lang.Object
com.smartgwt.client.core.JsObject
com.smartgwt.client.core.DataClass
com.smartgwt.client.widgets.form.fields.FormItemIcon
com.smartgwt.client.widgets.form.fields.PickerIcon

All Implemented Interfaces:
  `HasHandlers`, `HasFormItemClickHandlers`

public class PickerIcon extends FormItemIcon
Convenience class for setting pickers for form fields. This is a specialized subclass of FormItemIcon that sets up the correct picker dimensions and spacing.

A set of standard pickers are provided as a part of the library.

See Also:
  - `FormItem.setIcons(FormItemIcon...)`

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static PickerIconName`
  `CLEAR`
  `static PickerIconName`
  `COMBO_BOX`
  `static PickerIconName`
  `DATE`
  `static PickerIconName`
  `REFRESH`
  `static PickerIconName`
  `SEARCH`

  ### Fields inherited from class com.smartgwt.client.core.DataClass

  `factoryCreated, factoryProperties`

  ### Fields inherited from class com.smartgwt.client.core.JsObject

  `jsObj`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PickerIcon(PickerIconName name)`
  Create a new FormItemIcon with the specific icon.
  `PickerIcon(PickerIconName name, FormItemClickHandler clickHandler)`
  Create a new FormItemIcon with the specific icon.

- ## Method Summary

  ### Methods inherited from class com.smartgwt.client.widgets.form.fields.FormItemIcon

  `addFormItemClickHandler, doubleClick, equals, getBaseStyle, getCanFocus, getCursor, getDisabled, getDisabledCursor, getDisableOnReadOnly, getEnableWhen, getExtraCSS, getHeight, getHspace, getIconPlacement, getInline, getInlineIconAlign, getName, getNeverDisable, getOrCreateRef, getPrompt, getShowDisabledOnFocus, getShowError, getShowFocused, getShowFocusedWithItem, getShowOnFocus, getShowOver, getShowOverWhen, getShowRTL, getSrc, getSrcAsSCStatefulImgConfig, getTabIndex, getText, getVisibleWhen, getWidth, hashCode, keyPress, mouseDown, mouseUp, setBaseStyle, setCanFocus, setCursor, setDisabled, setDisabledCursor, setDisableOnReadOnly, setEnableWhen, setExtraCSS, setHeight, setHspace, setIconPlacement, setInline, setInlineIconAlign, setName, setNeverDisable, setPrompt, setShowDisabledOnFocus, setShowError, setShowFocused, setShowFocusedWithItem, setShowIfCondition, setShowOnFocus, setShowOver, setShowOverWhen, setShowRTL, setSrc, setSrc, setTabIndex, setText, setVisibleWhen, setWidth`

  ### Methods inherited from class com.smartgwt.client.core.DataClass

  `applyFactoryProperties, doAddHandler, fireEvent, getAttribute, getAttributeAsBoolean, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDouble, getAttributeAsDoubleArray, getAttributeAsElement, getAttributeAsFloat, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsLong, getAttributeAsMap, getAttributeAsObject, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getAttributes, getHandlerCount, isFactoryCreated, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttributeAsJavaObject, setFactoryCreated`

  ### Methods inherited from class com.smartgwt.client.core.JsObject

  `getJsObj, isCreated, setJavaScriptObject, setJsObj`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

  ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

  `fireEvent`

- ## Field Details

  - ### CLEAR

    public static PickerIconName CLEAR

  - ### COMBO_BOX

    public static PickerIconName COMBO_BOX

  - ### DATE

    public static PickerIconName DATE

  - ### REFRESH

    public static PickerIconName REFRESH

  - ### SEARCH

    public static PickerIconName SEARCH

- ## Constructor Details

  - ### PickerIcon

    public PickerIcon(PickerIconName name)
    Create a new FormItemIcon with the specific icon.
    Parameters:
      `name` - the icon name

  - ### PickerIcon

    public PickerIcon(PickerIconName name, FormItemClickHandler clickHandler)
    Create a new FormItemIcon with the specific icon.
    Parameters:
      `name` - the icon
      `clickHandler` - the header control click handler